
//ŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻ
//	FILE	: TipWin.h
//	AUTHOR	: Catalin Cocos
//__________________________________________________________________________________________________

#ifndef __TIPWIN__
#define __TIPWIN__

class CTip
{
	RECT m_rect;
	static LONG CALLBACK SWProc( HWND  hwnd, UINT msg, WPARAM  wp, LPARAM  lp );
	LONG CALLBACK WProc( HWND  hwnd, UINT msg, WPARAM  wp, LPARAM  lp );
	static int nCount;
	BOOL m_bVisible;
	HWND m_hwnd;
	HWND m_hParentWnd, m_hAppWnd;
	HFONT m_hfont;
	char* m_szString;
public:
	CTip( HWND hwnd );
	~CTip();
	void Show( char* szText, HWND hParentWnd, POINT* pPos = NULL);
	void Test( HWND hParentWnd, LPARAM mousepos);
};


#endif